ICONS = icons/hicolor/16x16/apps/edesklets.png \
	icons/hicolor/32x32/apps/edesklets.png \
	icons/hicolor/48x48/apps/edesklets.png \
	icons/hicolor/64x64/apps/edesklets.png \
	icons/hicolor/128x128/apps/edesklets.png 

EXTRA_DIST = $(ICONS) edesklets.svg

edeskletsiconsdir = $(datadir)
nobase_dist_edeskletsicons_DATA = $(ICONS)

if INKSCAPE_SUPPORT
$(ICONS): edesklets.svg
	$(INKSCAPE) \
		`echo $@ | sed 's/.*\/\([0-9]\+\)x\([0-9]\+\).*/-w \1 -h \2/'` \
	  	-e $@ $<
else
$(ICONS): edesklets.svg
	@echo "*************************"
	@echo " inskcape not available: "
	@echo "cannot rebuild the icons "
	@echo "*************************"
	@false
endif

clean-local:
	-rm -f *~